<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>vweb-test</title>
</head>
<body>
    <script src="dist-iife/kcontext.js"></script>
    <script>
        const kcontext =new KContext({
            url: 'http://localhost:3000',
        });
        kcontext.onsessionchange = (data, session) => {
            console.log({data, session});
        };
        kcontext.getSession().catch((e) => {
            console.log('error in getting session');
        }).then(() => {
            console.log('session is', kcontext.session);
        });
    </script>
</body>
</html>
